﻿using Infragistics.Controls.Menus;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamMenu_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Person> People { get; set; }
        public ObservableCollection<string> Events { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            People = new ObservableCollection<Person>()
            {
                new Person() { Name = "Daniel", Items = new ObservableCollection<Item>()
                        {
                            new Item() { Id = 111, Type = "Phone" },
                            new Item() { Id = 119, Type = "Monitor" },
                        }},
                new Person() { Name = "Jack", Items = new ObservableCollection<Item>()
                        {
                            new Item() { Id = 230, Type = "TV" },
                        }},
                new Person() { Name = "Samantha", Items = new ObservableCollection<Item>()
                        {
                            new Item() { Id = 652, Type = "Desk" },
                            new Item() { Id = 239, Type = "Keyboard" },
                        }}
            };

            Events = new ObservableCollection<string>();

            this.DataContext = this;
        }

        private void menu_ItemClicked(object sender, ItemClickedEventArgs e)
        {
            Events.Add("ItemClicked fired!");
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Events.Clear();
        }
    }
}
